-- This configuration has  4 avc encodes and up to one concurrent decode

FORMAT	= "1080i";
VOUT	= "hdmi";

-- 1 for live, 2 for recon, 3 for decode
PREVIEW = 1;

-- streaming
HOST = HOST or "192.168.40.38";
SERVER = "NULL";

-- Streaming protocol 0 for nothing, 1 for UDP, 2 for RTP
STREAMING_ENCCH     = STREAMING_ENCCH or 2;
STREAMING_ENCCH_2   = STREAMING_ENCCH_2 or 0;

ENCCH_TO_STREAM = 0;
ENCCH_2_TO_STREAM = 0;

ENCCH_TO_STORE = 0;
ENCCH_2_TO_STORE = 0;
MJPEGCH_TO_STORE = 0;

MAIN_CAPTURE_FRAMES = 7;

-- set to use 8 references and a reasonable avsn skew
NUM_AVC_REFERENCES = 8;
AVC_RECON_PREVIEW_TIME_DELAY = -12012;

ENCCH = 4;
DECCH = 1;
ENCCH_2 = 0;
MJPEGCH = 0;

ENCW_2 = 352;
ENCH_2 = 240;

SECONDARY_STC_PER_FRAME = 3003;
SECONDARY_STC_PER_OUTPUT_FRAME = 6006;

MEMORY_XFER_MODE = 0;
VIDEO_PLAYBACK_ONLY = 0;
AUDIO_CODEC="g711";

AVCDEC_REFERENCE_FRAMES = 7;


--MAIN_GOP_STRUCTURE = "IBBRBP";
MAIN_GOP_STRUCTURE = "IP";
MAIN_FRAME_STRUCTURE = "mbaff";
MAIN_CLOSED_GOP = 1;

SECONDARY_GOP_STRUCTURE = "IP";
SECONDARY_FRAME_STRUCTURE = "frame";
SECONDARY_CLOSED_GOP = 1;

BITRATE = {};
BITRATE[1] = 1500000;
BITRATE[2] = 1500000;
BITRATE[3] = 1500000;
BITRATE[4] = 1500000;

BITRATE_2 = {};
BITRATE_2[1] = 1000000;
BITRATE_2[2] = 1000000;
BITRATE_2[3] = 1000000;
BITRATE_2[4] = 1000000;

MAIN_ENC_BUFFER_SIZE = 1500000;
SECONDARY_ENC_BUFFER_SIZE = 750000;

MAIN_ENC_GUARD_BAND = 200;
SECONDARY_ENC_GUARD_BAND = 200;

MAX_LVPP_USED = 4;

-- We need to set these to 0 for VLC 0.8.6h compatibility
MAIN_IP_FIELD_CODING = 0;
SECONDARY_IP_FIELD_CODING = 0;
SECONDARY_TF_Y_BYPASS = 1;

-- functions for demo

function record(i)
    startrecord(i)
end

function play(i)
    if (PREVIEW == 2) then
      hiderecon(i);
    end
    hidelive(i);
    showplayback(i);
    startplayback(i,i);
end

